Subject: RE: PHP

From: Dimitry Haskin <[email-masked]>
Date: Tue, 23 Apr 2002 11:32:39 -0400

1 is clearly not an option. IPv6 packets are required to be sent with its
own link layer code and, as far I as I know, most existing IPv6
implementations rely on this fact. 

Dimitry

> -----Original Message-----
> From: Eric Rosen [mailto:[email-masked]]
> Sent: Tuesday, April 23, 2002 11:17 AM
> To: Kireeti Kompella; Markus Jork; Vach Kompella; David Charlap;
> [email-masked]
> Subject: Re: PHP 
> 
> 
> Kireeti> One could use the 'check first  nibble' hack :-( It 
> would be neater
> Kireeti> to use the L3PID. 
> 
> Eric> Well, I wouldn't want  to have to set up a separate  TE 
> tunnel just to
> Eric> handle the  IPv6 traffic,  so I'd recommend  the "check 
>  first nibble"
> Eric> hack.  
> 
> Actually, there is a real  interoperability issue lurking 
> here which we need
> to get clear on. 
> 
> In  conjunction with  php, "check  first nibble"  could mean  
> either  of the
> following: 
> 
> 1. The penultimate  node pops the last  label off the stack,  
> creates a data
>    link layer frame with IPv4 as the protocol type, and 
> transmits the frame.
>    The receiver  of the  frame checks the  first nibble  to 
> see what  the IP
>    version is  and treats  the packet as  IPv4 or  IPv6 
> depending on  the IP
>    version.
> 
> 2. The penultimate node pops the stack,  checks the first 
> nibble to see what
>    the IP version  is, and creates a data link layer  frame 
> with either IPv4
>    or IPv6  as the protocol type, depending  on the value of  
> the IP version
>    field. 
> 
> What I meant was 1; I'm not sure which Kireeti meant. 
> 
> 
> 
>